program asfinst;

uses Dos,TpCrt,TpEdit;

type SysRecType=record
        NumberOfUses:integer;
        InstallDay:word;
        InstallMonth:word;
        InstallYear:word;
        Code:string[10];
     end;

const SysFileNm='FLASFL.DAT';

var   SysFile:File of SysRecType;
      SysRec:SysRecType;
      Year,Month,Day,Week:word;


procedure CreateSysFile;
var SysRecNum:LongInt;
    begin
          Assign(SysFile,SysFileNm);
          Rewrite(SysFile);
            for SysRecNum:=0 to 561 do
                begin
                     seek(SysFile,SysRecNum);
                     write(SysFile,SysRec);
                end;

                with SysRec do
                     begin
                        NumberOfUses:=0;
                        GetDate(Year,Month,Day,Week);
                        InstallDay:=Day;
                        InstallMonth:=6;
                        InstallYear:=Year;
                        Code:='8934111236'
                      end;
           seek(SysFile,137);
           write(SysFile,SysRec);
           Close(Sysfile);
end;


begin
     CreateSysFile;
end.